<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="ChangeListManager">
    <list default="true" id="a11aa5c4-505d-4bfb-9e81-72367c118bbe" name="Default Changelist" comment="" />
    <list default="true" id="a11aa5c4-505d-4bfb-9e81-72367c118bbe" name="Default Changelist" comment="">
      <change beforePath="$PROJECT_DIR$/.idea/workspace.xml" beforeDir="false" afterPath="$PROJECT_DIR$/.idea/workspace.xml" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/CC-Praxis-Antlr Parser fuer X-Leer/X.tokens" beforeDir="false" afterPath="$PROJECT_DIR$/CC-Praxis-Antlr Parser fuer X-Leer/X.tokens" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/CC-Praxis-Antlr Parser fuer X-Leer/src/de/dhbw/compiler/antlrxparser/X.g" beforeDir="false" afterPath="$PROJECT_DIR$/CC-Praxis-Antlr Parser fuer X-Leer/src/de/dhbw/compiler/antlrxparser/X.g" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/CC-Praxis-Antlr Parser fuer X-Leer/src/de/dhbw/compiler/antlrxparser/XLexer.java" beforeDir="false" afterPath="$PROJECT_DIR$/CC-Praxis-Antlr Parser fuer X-Leer/src/de/dhbw/compiler/antlrxparser/XLexer.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/CC-Praxis-Antlr Parser fuer X-Leer/src/de/dhbw/compiler/antlrxparser/XParser.java" beforeDir="false" afterPath="$PROJECT_DIR$/CC-Praxis-Antlr Parser fuer X-Leer/src/de/dhbw/compiler/antlrxparser/XParser.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/out/production/CC-Praxis-Antlr Parser fuer X-Leer/de/dhbw/compiler/antlrxparser/X.g" beforeDir="false" afterPath="$PROJECT_DIR$/out/production/CC-Praxis-Antlr Parser fuer X-Leer/de/dhbw/compiler/antlrxparser/X.g" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/out/production/CC-Praxis-Antlr Parser fuer X-Leer/de/dhbw/compiler/antlrxparser/XLexer$DFA4.class" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/out/production/CC-Praxis-Antlr Parser fuer X-Leer/de/dhbw/compiler/antlrxparser/XLexer.class" beforeDir="false" afterPath="$PROJECT_DIR$/out/production/CC-Praxis-Antlr Parser fuer X-Leer/de/dhbw/compiler/antlrxparser/XLexer.class" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/out/production/CC-Praxis-Antlr Parser fuer X-Leer/de/dhbw/compiler/antlrxparser/XParser$program_return.class" beforeDir="false" afterPath="$PROJECT_DIR$/out/production/CC-Praxis-Antlr Parser fuer X-Leer/de/dhbw/compiler/antlrxparser/XParser$program_return.class" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/out/production/CC-Praxis-Antlr Parser fuer X-Leer/de/dhbw/compiler/antlrxparser/XParser.class" beforeDir="false" afterPath="$PROJECT_DIR$/out/production/CC-Praxis-Antlr Parser fuer X-Leer/de/dhbw/compiler/antlrxparser/XParser.class" afterDir="false" />
    </list>
    <option name="SHOW_DIALOG" value="false" />
    <option name="HIGHLIGHT_CONFLICTS" value="true" />
    <option name="HIGHLIGHT_NON_ACTIVE_CHANGELIST" value="false" />
    <option name="LAST_RESOLUTION" value="IGNORE" />
  </component>
  <component name="Git.Settings">
    <option name="RECENT_GIT_ROOT_PATH" value="$PROJECT_DIR$" />
  </component>
  <component name="ProjectId" id="1cnmQBHWRxokIdPB0Vk0zrdRlfD" />
  <component name="ProjectViewState">
    <option name="hideEmptyMiddlePackages" value="true" />
    <option name="showLibraryContents" value="true" />
  </component>
  <component name="PropertiesComponent">
    <property name="RunOnceActivity.OpenProjectViewOnStart" value="true" />
    <property name="RunOnceActivity.ShowReadmeOnStart" value="true" />
    <property name="SHARE_PROJECT_CONFIGURATION_FILES" value="true" />
    <property name="WebServerToolWindowFactoryState" value="false" />
    <property name="aspect.path.notification.shown" value="true" />
    <property name="last_opened_file_path" value="$PROJECT_DIR$/CC-Praxis-Antlr Baumgrammatiken-Leer" />
    <property name="project.structure.last.edited" value="Modules" />
    <property name="project.structure.proportion" value="0.15429688" />
    <property name="project.structure.side.proportion" value="0.2" />
  </component>
  <component name="RunManager" selected="JUnit.TestAntlrXParser1">
    <configuration name="TestAntlrXParser1" type="JUnit" factoryName="JUnit" temporary="true" nameIsGenerated="true">
      <module name="CC-Praxis-Antlr Parser fuer X-Leer" />
      <useClassPathOnly />
      <extension name="coverage">
        <pattern>
          <option name="PATTERN" value="de.dhbw.compiler.antlrxparser.test.*" />
          <option name="ENABLED" value="true" />
        </pattern>
      </extension>
      <option name="PACKAGE_NAME" value="de.dhbw.compiler.antlrxparser.test" />
      <option name="MAIN_CLASS_NAME" value="de.dhbw.compiler.antlrxparser.test.TestAntlrXParser1" />
      <option name="METHOD_NAME" value="" />
      <option name="TEST_OBJECT" value="class" />
      <option name="PARAMETERS" value="" />
      <method v="2">
        <option name="RunConfigurationTask" enabled="true" run_configuration_name="Run Antlr Builder" run_configuration_type="Application" />
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="TestAntlrXParser1.program00BeginEnd" type="JUnit" factoryName="JUnit" temporary="true" nameIsGenerated="true">
      <module name="CC-Praxis-Antlr Parser fuer X-Leer" />
      <extension name="coverage">
        <pattern>
          <option name="PATTERN" value="de.dhbw.compiler.antlrxparser.test.*" />
          <option name="ENABLED" value="true" />
        </pattern>
      </extension>
      <option name="PACKAGE_NAME" value="de.dhbw.compiler.antlrxparser.test" />
      <option name="MAIN_CLASS_NAME" value="de.dhbw.compiler.antlrxparser.test.TestAntlrXParser1" />
      <option name="METHOD_NAME" value="program00BeginEnd" />
      <option name="TEST_OBJECT" value="method" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="TestAntlrXScanner1" type="JUnit" factoryName="JUnit" nameIsGenerated="true">
      <module name="CC-Praxis-Antlr Parser fuer X-Leer" />
      <useClassPathOnly />
      <extension name="coverage">
        <pattern>
          <option name="PATTERN" value="de.dhbw.compiler.antlrxparser.test.*" />
          <option name="ENABLED" value="true" />
        </pattern>
      </extension>
      <option name="PACKAGE_NAME" value="de.dhbw.compiler.antlrxparser.test" />
      <option name="MAIN_CLASS_NAME" value="de.dhbw.compiler.antlrxparser.test.TestAntlrXScanner1" />
      <option name="METHOD_NAME" value="" />
      <option name="TEST_OBJECT" value="class" />
      <option name="PARAMETERS" value="" />
      <method v="2">
        <option name="RunConfigurationTask" enabled="true" run_configuration_name="Run Antlr Builder" run_configuration_type="Application" />
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="TestAntlrXScanner1.tokenASSIGN" type="JUnit" factoryName="JUnit" nameIsGenerated="true">
      <module name="CC-Praxis-Antlr Parser fuer X-Leer" />
      <useClassPathOnly />
      <extension name="coverage">
        <pattern>
          <option name="PATTERN" value="de.dhbw.compiler.antlrxparser.test.*" />
          <option name="ENABLED" value="true" />
        </pattern>
      </extension>
      <option name="PACKAGE_NAME" value="de.dhbw.compiler.antlrxparser.test" />
      <option name="MAIN_CLASS_NAME" value="de.dhbw.compiler.antlrxparser.test.TestAntlrXScanner1" />
      <option name="METHOD_NAME" value="tokenASSIGN" />
      <option name="TEST_OBJECT" value="method" />
      <option name="PARAMETERS" value="" />
      <method v="2">
        <option name="RunConfigurationTask" enabled="true" run_configuration_name="Run Antlr Builder" run_configuration_type="Application" />
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="TestAntlrXScanner1.tokenREAD" type="JUnit" factoryName="JUnit" temporary="true" nameIsGenerated="true">
      <module name="CC-Praxis-Antlr Parser fuer X-Leer" />
      <extension name="coverage">
        <pattern>
          <option name="PATTERN" value="de.dhbw.compiler.antlrxparser.test.*" />
          <option name="ENABLED" value="true" />
        </pattern>
      </extension>
      <option name="PACKAGE_NAME" value="de.dhbw.compiler.antlrxparser.test" />
      <option name="MAIN_CLASS_NAME" value="de.dhbw.compiler.antlrxparser.test.TestAntlrXScanner1" />
      <option name="METHOD_NAME" value="tokenREAD" />
      <option name="TEST_OBJECT" value="method" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="TestAntlrXScanner1.tokenStringConst" type="JUnit" factoryName="JUnit" temporary="true" nameIsGenerated="true">
      <module name="CC-Praxis-Antlr Parser fuer X-Leer" />
      <extension name="coverage">
        <pattern>
          <option name="PATTERN" value="de.dhbw.compiler.antlrxparser.test.*" />
          <option name="ENABLED" value="true" />
        </pattern>
      </extension>
      <option name="PACKAGE_NAME" value="de.dhbw.compiler.antlrxparser.test" />
      <option name="MAIN_CLASS_NAME" value="de.dhbw.compiler.antlrxparser.test.TestAntlrXScanner1" />
      <option name="METHOD_NAME" value="tokenStringConst" />
      <option name="TEST_OBJECT" value="method" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <list>
      <item itemvalue="Application.Run Antlr Builder" />
      <item itemvalue="JUnit.TestAntlrXScanner1.tokenASSIGN" />
      <item itemvalue="JUnit.TestAntlrXScanner1" />
      <item itemvalue="JUnit.TestAntlrXScanner1.tokenREAD" />
      <item itemvalue="JUnit.TestAntlrXParser1" />
      <item itemvalue="JUnit.TestAntlrXParser1.program00BeginEnd" />
      <item itemvalue="JUnit.TestAntlrXScanner1.tokenStringConst" />
    </list>
    <recent_temporary>
      <list>
<<<<<<< Updated upstream
        <item itemvalue="JUnit.TestAntlrXParser1" />
        <item itemvalue="JUnit.TestAntlrXScanner1.tokenStringConst" />
        <item itemvalue="JUnit.TestAntlrXParser1.program00BeginEnd" />
=======
        <item itemvalue="JUnit.TestAntlrXParser1.program00BeginEnd" />
        <item itemvalue="JUnit.TestAntlrXScanner1.tokenStringConst" />
        <item itemvalue="JUnit.TestAntlrXScanner1" />
        <item itemvalue="JUnit.TestAntlrXParser1" />
>>>>>>> Stashed changes
        <item itemvalue="JUnit.TestAntlrXScanner1.tokenREAD" />
      </list>
    </recent_temporary>
  </component>
  <component name="SvnConfiguration">
    <configuration />
  </component>
  <component name="TaskManager">
    <task active="true" id="Default" summary="Default task">
      <changelist id="a11aa5c4-505d-4bfb-9e81-72367c118bbe" name="Default Changelist" comment="" />
      <created>1591172713288</created>
      <option name="number" value="Default" />
      <option name="presentableId" value="Default" />
      <updated>1591172713288</updated>
      <workItem from="1591172719978" duration="202000" />
      <workItem from="1591172941402" duration="220000" />
<<<<<<< Updated upstream
      <workItem from="1591174233890" duration="9316000" />
      <workItem from="1591183629705" duration="4405000" />
=======
      <workItem from="1591174233890" duration="8126000" />
      <workItem from="1591182692118" duration="1868000" />
      <workItem from="1591263665308" duration="16000" />
>>>>>>> Stashed changes
    </task>
    <servers />
  </component>
  <component name="TypeScriptGeneratedFilesManager">
    <option name="version" value="2" />
  </component>
  <component name="WindowStateProjectService">
    <state x="208" y="31" key="#Project_Structure" timestamp="1591172830001">
      <screen x="0" y="0" width="1440" height="900" />
    </state>
    <state x="208" y="31" key="#Project_Structure/0.0.1440.900@0.0.1440.900" timestamp="1591172830001" />
    <state x="570" y="121" key="#TestAntlrXScanner1.tokenASSIGN" timestamp="1591175187591">
      <screen x="0" y="0" width="1920" height="1040" />
    </state>
    <state x="570" y="121" key="#TestAntlrXScanner1.tokenASSIGN/0.0.1920.1040@0.0.1920.1040" timestamp="1591175187591" />
<<<<<<< Updated upstream
    <state x="-37" y="200" width="1471" height="691" key="#com.intellij.execution.impl.EditConfigurationsDialog" timestamp="1591184444701">
      <screen x="0" y="0" width="1920" height="1040" />
    </state>
    <state x="184" y="112" key="#com.intellij.execution.impl.EditConfigurationsDialog/0.0.1440.900@0.0.1440.900" timestamp="1591172899381" />
    <state x="-37" y="200" width="1471" height="691" key="#com.intellij.execution.impl.EditConfigurationsDialog/0.0.1920.1040@0.0.1920.1040" timestamp="1591184444701" />
    <state x="92" y="92" width="1736" height="856" key="#com.intellij.execution.junit2.states.ComparisonFailureState$DiffDialog" timestamp="1591185724270">
      <screen x="0" y="0" width="1920" height="1040" />
    </state>
    <state x="92" y="92" width="1736" height="856" key="#com.intellij.execution.junit2.states.ComparisonFailureState$DiffDialog/0.0.1920.1040@0.0.1920.1040" timestamp="1591185724270" />
    <state x="700" y="183" key="#com.intellij.ide.macro.MacrosDialog" timestamp="1591184444196">
      <screen x="0" y="0" width="1920" height="1040" />
    </state>
    <state x="700" y="183" key="#com.intellij.ide.macro.MacrosDialog/0.0.1920.1040@0.0.1920.1040" timestamp="1591184444196" />
    <state x="700" y="233" key="FileChooserDialogImpl" timestamp="1591771754519">
      <screen x="0" y="0" width="1920" height="1040" />
    </state>
    <state x="700" y="233" key="FileChooserDialogImpl/0.0.1920.1040/-1920.0.1920.1040@0.0.1920.1040" timestamp="1591771754519" />
    <state x="700" y="233" key="FileChooserDialogImpl/0.0.1920.1040@0.0.1920.1040" timestamp="1591184758908" />
    <state width="916" height="398" key="GridCell.Tab.0.bottom" timestamp="1591188037708">
      <screen x="0" y="0" width="1920" height="1040" />
    </state>
    <state width="1398" height="245" key="GridCell.Tab.0.bottom/0.0.1440.900@0.0.1440.900" timestamp="1591173185826" />
    <state width="916" height="398" key="GridCell.Tab.0.bottom/0.0.1920.1040@0.0.1920.1040" timestamp="1591188037708" />
    <state width="916" height="398" key="GridCell.Tab.0.center" timestamp="1591188037708">
      <screen x="0" y="0" width="1920" height="1040" />
    </state>
    <state width="1398" height="245" key="GridCell.Tab.0.center/0.0.1440.900@0.0.1440.900" timestamp="1591173185825" />
    <state width="916" height="398" key="GridCell.Tab.0.center/0.0.1920.1040@0.0.1920.1040" timestamp="1591188037708" />
    <state width="916" height="398" key="GridCell.Tab.0.left" timestamp="1591188037708">
      <screen x="0" y="0" width="1920" height="1040" />
    </state>
    <state width="1398" height="245" key="GridCell.Tab.0.left/0.0.1440.900@0.0.1440.900" timestamp="1591173185825" />
    <state width="916" height="398" key="GridCell.Tab.0.left/0.0.1920.1040@0.0.1920.1040" timestamp="1591188037708" />
    <state width="916" height="398" key="GridCell.Tab.0.right" timestamp="1591188037708">
      <screen x="0" y="0" width="1920" height="1040" />
    </state>
    <state width="1398" height="245" key="GridCell.Tab.0.right/0.0.1440.900@0.0.1440.900" timestamp="1591173185826" />
    <state width="916" height="398" key="GridCell.Tab.0.right/0.0.1920.1040@0.0.1920.1040" timestamp="1591188037708" />
    <state x="447" y="180" width="915" height="587" key="NewModule_or_Project.wizard" timestamp="1591771765782">
      <screen x="0" y="0" width="1920" height="1040" />
=======
    <state x="184" y="125" key="#com.intellij.execution.impl.EditConfigurationsDialog" timestamp="1591184492286">
      <screen x="0" y="23" width="1440" height="821" />
    </state>
    <state x="184" y="112" key="#com.intellij.execution.impl.EditConfigurationsDialog/0.0.1440.900@0.0.1440.900" timestamp="1591172899381" />
    <state x="245" y="129" key="#com.intellij.execution.impl.EditConfigurationsDialog/0.0.1920.1040@0.0.1920.1040" timestamp="1591178569825" />
    <state x="184" y="125" key="#com.intellij.execution.impl.EditConfigurationsDialog/0.23.1440.821@0.23.1440.821" timestamp="1591184492286" />
    <state x="92" y="92" width="1736" height="856" key="#com.intellij.execution.junit2.states.ComparisonFailureState$DiffDialog" timestamp="1591178570191">
      <screen x="0" y="0" width="1920" height="1040" />
    </state>
    <state x="92" y="92" width="1736" height="856" key="#com.intellij.execution.junit2.states.ComparisonFailureState$DiffDialog/0.0.1920.1040@0.0.1920.1040" timestamp="1591178570191" />
    <state width="1398" height="211" key="GridCell.Tab.0.bottom" timestamp="1591184646781">
      <screen x="0" y="23" width="1440" height="821" />
    </state>
    <state width="1398" height="245" key="GridCell.Tab.0.bottom/0.0.1440.900@0.0.1440.900" timestamp="1591173185826" />
    <state width="914" height="268" key="GridCell.Tab.0.bottom/0.0.1920.1040@0.0.1920.1040" timestamp="1591182426442" />
    <state width="1398" height="211" key="GridCell.Tab.0.bottom/0.23.1440.821@0.23.1440.821" timestamp="1591184646781" />
    <state width="1398" height="211" key="GridCell.Tab.0.center" timestamp="1591184646781">
      <screen x="0" y="23" width="1440" height="821" />
    </state>
    <state width="1398" height="245" key="GridCell.Tab.0.center/0.0.1440.900@0.0.1440.900" timestamp="1591173185825" />
    <state width="914" height="268" key="GridCell.Tab.0.center/0.0.1920.1040@0.0.1920.1040" timestamp="1591182426442" />
    <state width="1398" height="211" key="GridCell.Tab.0.center/0.23.1440.821@0.23.1440.821" timestamp="1591184646781" />
    <state width="1398" height="211" key="GridCell.Tab.0.left" timestamp="1591184646780">
      <screen x="0" y="23" width="1440" height="821" />
    </state>
    <state width="1398" height="245" key="GridCell.Tab.0.left/0.0.1440.900@0.0.1440.900" timestamp="1591173185825" />
    <state width="914" height="268" key="GridCell.Tab.0.left/0.0.1920.1040@0.0.1920.1040" timestamp="1591182426442" />
    <state width="1398" height="211" key="GridCell.Tab.0.left/0.23.1440.821@0.23.1440.821" timestamp="1591184646780" />
    <state width="1398" height="211" key="GridCell.Tab.0.right" timestamp="1591184646781">
      <screen x="0" y="23" width="1440" height="821" />
    </state>
    <state width="1398" height="245" key="GridCell.Tab.0.right/0.0.1440.900@0.0.1440.900" timestamp="1591173185826" />
    <state width="914" height="268" key="GridCell.Tab.0.right/0.0.1920.1040@0.0.1920.1040" timestamp="1591182426442" />
    <state width="1398" height="211" key="GridCell.Tab.0.right/0.23.1440.821@0.23.1440.821" timestamp="1591184646781" />
    <state x="335" y="156" width="915" height="587" key="NewModule_or_Project.wizard" timestamp="1591172753823">
      <screen x="0" y="0" width="1440" height="900" />
>>>>>>> Stashed changes
    </state>
    <state x="335" y="156" width="915" height="587" key="NewModule_or_Project.wizard/0.0.1440.900@0.0.1440.900" timestamp="1591172753823" />
    <state x="447" y="180" key="NewModule_or_Project.wizard/0.0.1920.1040/-1920.0.1920.1040@0.0.1920.1040" timestamp="1591771765782" />
    <state x="447" y="180" key="NewModule_or_Project.wizard/0.0.1920.1040@0.0.1920.1040" timestamp="1591184776491" />
    <state x="551" y="139" key="RollbackChangesDialog" timestamp="1591772152949">
      <screen x="0" y="0" width="1920" height="1040" />
    </state>
    <state x="551" y="139" key="RollbackChangesDialog/0.0.1920.1040/-1920.0.1920.1040@0.0.1920.1040" timestamp="1591772152949" />
    <state x="277" y="36" key="SettingsEditor" timestamp="1591184318089">
      <screen x="0" y="0" width="1920" height="1040" />
    </state>
    <state x="208" y="31" key="SettingsEditor/0.0.1440.900@0.0.1440.900" timestamp="1591172804318" />
    <state x="277" y="36" key="SettingsEditor/0.0.1920.1040@0.0.1920.1040" timestamp="1591184318089" />
  </component>
</project>